Font Path Functions
Evas » Canvas Functions » Font Functions

Functions that edit the paths being used to load fonts. More...

void | evas_font_path_global_clear (void)
| Removes all font paths loaded into memory by evas_font_path_app_* APIs for the application. More...
void | evas_font_path_global_append (const char *path)
| Appends a font path to the list of font paths used by the application. More...
void | evas_font_path_global_prepend (const char *path)
| Prepends a font path to the list of font paths used by the application. More...
const Eina_List * | evas_font_path_global_list (void)
| Retrieves the list of font paths used by the application. More...
void | evas_font_reinit (void)
| Reinitialize FontConfig. More...

## Detailed Description

Functions that edit the paths being used to load fonts.

## Function Documentation

## ◆ evas_font_path_global_clear()

void evas_font_path_global_clear | ( | void |  | ) |

Removes all font paths loaded into memory by evas_font_path_app_* APIs for the application.

Since
  1.9

References _Eina_List::data, eina_list_remove(), and eina_stringshare_del().

## ◆ evas_font_path_global_append()

void evas_font_path_global_append | ( | const char * | path | ) |

Appends a font path to the list of font paths used by the application.

Parameters

  path | The new font path.

Since
  1.9

References eina_list_append(), and eina_stringshare_add().

## ◆ evas_font_path_global_prepend()

void evas_font_path_global_prepend | ( | const char * | path | ) |

Prepends a font path to the list of font paths used by the application.

Parameters

  path | The new font path.

Since
  1.9

References eina_list_prepend(), and eina_stringshare_add().

## ◆ evas_font_path_global_list()

const Eina_List* evas_font_path_global_list | ( | void |  | ) |

Retrieves the list of font paths used by the application.

Returns
  The list of font paths used.

Since
  1.9

References EINA_FALSE, EINA_INLIST_FOREACH, and eo_data_scope_get().

## ◆ evas_font_reinit()

void evas_font_reinit | ( | void |  | ) |

Reinitialize FontConfig.

If FontConfig has to be reinitialized according to changes of system environments(ex. Changing font config files), it will be useful.

Since
  1.14

References EINA_LIST_FOREACH.